Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DirectScrolledFrame Class Reference
Inheritance diagram for DirectScrolledFrame:

## Public Member Functions
| __init__ (self, parent=None, **kw)
| commandFunc (self)
| destroy (self)
| getCanvas (self)
| setAutoHideScrollBars (self)
| setCanvasSize (self)
| setManageScrollBars (self)
| setScrollBarWidth (self)
Public Member Functions inherited from DirectFrame
| __init__ (self, parent=None, **kw)
| clearGeom (self)
| clearImage (self)
| clearText (self)
| setGeom (self, geom=None)
| setImage (self, image=None)
| setText (self, text=None)
Public Member Functions inherited from DirectGuiWidget
| __init__ (self, parent=None, **kw)
| copyOptions (self, other)
| disableEdit (self)
| editStart (self, event)
| editStop (self, event)
| enableEdit (self)
| frameInitialiseFunc (self)
| getBounds (self, state=0)
| getCenter (self)
| getFrameType (self, state=0)
| getHeight (self)
| getWidth (self)
| guiDragTask (self, state)
| guiScaleTask (self, state)
| printConfig (self, indent=0)
| resetFrameSize (self)
| setBorderUvWidth (self)
| setBorderWidth (self)
| setFrameColor (self)
| setFrameSize (self, fClearFrame=0)
| setFrameTexture (self)
| setFrameVisibleScale (self)
| setProp (self, propString, value)
| setRelief (self, fSetStyle=1)
| setState (self)
| taskName (self, idString)
| uniqueName (self, idString)
| updateFrameStyle (self)
Public Member Functions inherited from DirectGuiBase
| __init__ (self)
| __setitem__ (self, key, value)
| addoptions (self, optionDefs, optionkeywords)
| bind (self, event, command, extraArgs=[])
| cget (self, option)
| component (self, name)
| components (self)
| configure (self, option=None, **kw)
| createcomponent (self, componentName, componentAliases, componentGroup, widgetClass, *widgetArgs, **kw)
| defineoptions (self, keywords, optionDefs, dynamicGroups=())
| destroycomponent (self, name)
| hascomponent (self, component)
| initialiseoptions (self, myClass)
| isinitoption (self, option)
| options (self)
| postInitialiseFunc (self)
| unbind (self, event)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| canvas = NodePath(self.guiItem.getCanvasNode())
| horizontalScroll
| verticalScroll
Public Attributes inherited from DirectGuiWidget
list | bounds = self['frameSize']
| editStart
| editStop
| ll
| printConfig
| stateNodePath = self.guiDict.get(parts[-1])
| ur
Public Attributes inherited from DirectGuiBase
int | fInit = 1
str | guiId = 'guiObject'
list | postInitialiseFuncList = []

## Additional Inherited Members
Static Public Attributes inherited from DirectFrame
tuple | DefDynGroups = ('text', 'geom', 'image')
Static Public Attributes inherited from DirectGuiWidget
float | gridSpacing = 0.05
dict | guiDict = {}
| guiEdit = ShowBaseGlobal.config.GetBool('direct-gui-edit', False)
| inactiveInitState = DGG.NORMAL
int | snapToGrid = 0
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectGuiBase
dict | _constructorKeywords = tmp
tuple | _dynamicGroups = ()
dict | _optionInfo = {}
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Detailed Description

    DirectScrolledFrame -- a special frame that uses DirectScrollBar to
    implement a small window (the frameSize) into a potentially much
    larger virtual canvas (the canvasSize, scrolledFrame.getCanvas()).

    Unless specified otherwise, scroll bars are automatically created
    and managed as needed, based on the relative sizes od the
    frameSize and the canvasSize.  You can also set manageScrollBars =
    0 and explicitly position and hide or show the scroll bars
    yourself.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  | ** | kw )

## Member Function Documentation

## ◆ commandFunc()

commandFunc | ( |  | self | ) |

## ◆ destroy()

destroy | ( |  | self | ) |

Reimplemented from DirectFrame.

## ◆ getCanvas()

getCanvas | ( |  | self | ) |

    Returns the NodePath of the virtual canvas.  Nodes parented to this
    canvas will show inside the scrolled area.

## ◆ setAutoHideScrollBars()

setAutoHideScrollBars | ( |  | self | ) |

## ◆ setCanvasSize()

setCanvasSize | ( |  | self | ) |

## ◆ setManageScrollBars()

setManageScrollBars | ( |  | self | ) |

## ◆ setScrollBarWidth()

setScrollBarWidth | ( |  | self | ) |

## Member Data Documentation

## ◆ canvas

canvas = NodePath(self.guiItem.getCanvasNode())

## ◆ horizontalScroll

horizontalScroll

Initial value:
= self.createcomponent(
"horizontalScroll", (), None,
DirectScrollBar, (self,),
borderWidth = self['borderWidth'],
frameSize = (-1, 1, -w / 2.0, w / 2.0),
orientation = DGG.HORIZONTAL)

## ◆ verticalScroll

verticalScroll

Initial value:
= self.createcomponent(
"verticalScroll", (), None,
DirectScrollBar, (self,),
borderWidth = self['borderWidth'],
frameSize = (-w / 2.0, w / 2.0, -1, 1),
orientation = DGG.VERTICAL)